Create alert contact point
curl --request POST \
--url https://api.cloud.corbado.io/v1/observe/alertContactPoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"integrations": [
{
"type": "email",
"settings": {},
"id": "<string>"
}
],
"description": "<string>"
}
'import requests
url = "https://api.cloud.corbado.io/v1/observe/alertContactPoints"
payload = {
"name": "<string>",
"integrations": [
{
"type": "email",
"settings": {},
"id": "<string>"
}
],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
integrations: [{type: 'email', settings: {}, id: '<string>'}],
description: '<string>'
})
};
fetch('https://api.cloud.corbado.io/v1/observe/alertContactPoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"integrations": [
{
"id": "<string>",
"type": "email",
"settings": {},
"status": "active",
"minSeverity": "info"
}
],
"createdMs": 123,
"updatedMs": 123,
"description": "<string>"
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Alert management
Create alert contact point
Creates a contact point and its integrations.
Required API key permission: observe:alerts:write.
POST
/
observe
/
alertContactPoints
Create alert contact point
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Body
application/json
Was this page helpful?